//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/Plot2DFrame.h
//! @brief     Defines class Plot2DFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H

#include <QWidget>

class Data2DItem;
class MaskEditorCanvas;
class MaskPanel;
class ProjectedGraphsCanvas;

//! Main widget to embed projections editor for Data2DItem.

class Plot2DFrame : public QWidget {
public:
    Plot2DFrame(Data2DItem* item);

private:
    void updateFrame();
    void showEvent(QShowEvent*) override;
    void removeProjection();

    MaskEditorCanvas* m_canvas2D;      //!< canvas with color map at the top
    ProjectedGraphsCanvas* m_canvas1D; //!< bottom widget to draw projections plot
    MaskPanel* m_mask_panel;           //!< panel with mask list and properties of one mask

    Data2DItem* m_data_item;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H
